couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From afters <>
Subject Re: couchdb 1.0.0 with ubuntu 10.4
Date Fri, 16 Jul 2010 14:54:11 GMT
np, I'm glad to help.

If you're doing a deb package (which would be great), you may be missing a
couple of dependencies. I have installed 0.11 on a very minimal Ubuntu (that
contains very few packages, much less than a clean install), and put the
instructions at the second example here:

A couple of notes:
I tried to avoid unessential packages, and so dropped the 'xulrunner-dev'
package that has lots of dependencies, and instead installed the
Spider-monkey js-engine from source. Nevertheless, 'xulrunner-dev' would be
just fine.
Also, the 'erlang' package has lots of dependenies. It'd be interesting to
know what exactly is needed for couchdb to operate.


On 16 July 2010 17:22, Michael <> wrote:

> I owe you. Thanks. Here I assumed erlang-dev would have brought the regular
> erlang libraries as dependancies. Wow, I spent way too long on that.
> For the record, all I needed was* apt-get install erlang* to get these.
> From a clean ubuntu install the dependancies to build from source are:
> libicu-dev
> curl
> libcurl4-opensll-dev
> erlang-dev
> erlang
> Would there be interest in an unofficial .deb file?
> Thanks a,
> Michael

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message